Bug 480181 - bluez-libs-devel requires bluez-libs = %{version}, but should also require %{release}
bluez-libs-devel requires bluez-libs = %{version}, but should also require %{...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bluez-libs (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Moskovcak
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 11:25 EST by Radek Bíba
Modified: 2015-02-01 17:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 08:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2009-01-15 11:25:27 EST
Description of problem:
%package devel should explicitly read:
Requires: bluez-libs = %{version}-%{release}

Now it's possible to have different releases of the main package and the -devel subpackage, which could cause interoperability issues. By requiring exactly the same version and release, rpm wouldn't allow any transaction that would only update the main package.

Version-Release number of selected component (if applicable):
bluez-libs-3.7-1.1
Comment 1 RHEL Product and Program Management 2009-03-26 13:07:49 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Note You need to log in before you can comment on or make changes to this bug.